List Ledger Accounts

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
id[]
array of strings

If you have specific IDs to retrieve in bulk, you can pass them as query parameters delimited with id[]=, for example ?id[]=123&id[]=abc.

id[]
name
array of strings

If you have specific names to retrieve in bulk, you can pass them as query parameters delimited with name[]=, for example ?name[]=my-account&name[]=your-account. Partial match here is enabled.

name
string
string

For example, if you want to query for records with metadata key Type and value Loan, the query would be metadata%5BType%5D=Loan. This encodes the query parameters.

string
string

Can be credit or debit to return only Ledger Accounts that were created with the specified default normality.

date-time

Use balances[effective_at_lower_bound] to set the lower bound timestamp for which the retrieved balance is set. The returned balance will be inclusive of the provided timestamp.

date-time

Use balances[effective_at_upper_bound] to set the upper bound timestamp for which the retrieved balance is set. The returned balance will be exclusive of the provided timestamp. Any balances[as_of_date] or balances[effective_at] will be translated into balances[effective_at_upper_bound].

pending_balance_amount
object

Use gt (>), gte (>=), lt (<), lte (<=), eq (=), or not_eq (!=) to filter by the balance amount.

posted_balance_amount
object

Use gt (>), gte (>=), lt (<), lte (<=), eq (=), or not_eq (!=) to filter by balance amount.

available_balance_amount
object

Use gt (>), gte (>=), lt (<), lte (<=), eq (=), or not_eq (!=) to filter by balance amount.

string

To query ledger accounts by the external_id, use this query parameter.

date-time

Use "gt" (>), "gte" (>=), "'lt" (<), "lte" (<=), or "eq" (=) to filter by the created at timestamp. For example, for all times after Jan 1 2000 12:00 UTC, use created_at%5Bgt%5D=2000-01-01T12:00:00Z.

date-time

Use "gt" (>), "gte" (>=), "'lt" (<), "lte" (<=), or "eq" (=) to filter by the updated at timestamp. For example, for all times after Jan 1 2000 12:00 UTC, use updated_at%5Bgt%5D=2000-01-01T12:00:00Z.

string

Query for accounts in a ledger account category.

string
int32
Defaults to 25
Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json